Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Plan_Handler Class Reference

Handler class for <deploymentplan> type. More...

`#include <Plan_Handler.h>`

Inheritance diagram for Plan_Handler:

[legend]
Collaboration diagram for Plan_Handler:

[legend]
List of all members.

## Public Member Functions
| Plan_Handler (DOMDocument *doc, unsigned long filter_)
| constructor
| Plan_Handler (DOMNodeIterator *iter, bool release=false)
| constructor
| Plan_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
| constructor
void | process_plan (Deployment::DeploymentPlan &plan)
| Process the plan type.
void | process_ccd (DOMNodeIterator *iter, Deployment::ComponentInterfaceDescription &cid)
| process cid
void | process_pspr (DOMNodeIterator *iter, Deployment::PlanSubcomponentPropertyReference &pspr)
| process pspr
void | process_pspe (DOMNodeIterator *iter, Deployment::PlanSubcomponentPortEndpoint &pspe)
| process pspe
void | process_add (DOMNodeIterator *iter, Deployment::ArtifactDeploymentDescription &add)
| process add
void | process_pcd (DOMNodeIterator *iter, Deployment::PlanConnectionDescription &con)
| process con
void | process_ppm (DOMNodeIterator *iter, Deployment::PlanPropertyMapping &ppm)
| process external property
void | process_idd (DOMNodeIterator *iter, Deployment::InstanceDeploymentDescription &idd)
| process idd
void | process_mdd (DOMNodeIterator *iter, Deployment::MonolithicDeploymentDescription &mdd)
| process mdd
void | process_rdd (DOMNodeIterator *iter, Deployment::ResourceDeploymentDescription &rdd)
| process rdd
void | process_crdd (DOMNodeIterator *iter, Deployment::ConnectionResourceDeploymentDescription &crdd)
| process crdd
void | process_irdd (DOMNodeIterator *iter, Deployment::InstanceResourceDeploymentDescription &irdd)
| process irdd
void | process_add_name (const XMLCh *name, Deployment::ArtifactDeploymentDescription &add)
| process the add name
void | process_pspr_prop_name (const XMLCh *name, Deployment::PlanSubcomponentPropertyReference &pspr)
| process the pspr property name
void | process_pspe_port_name (const XMLCh *name, Deployment::PlanSubcomponentPortEndpoint &pspe)
| process the pspe port name
void | process_pspe_provider (const XMLCh *value, Deployment::PlanSubcomponentPortEndpoint &pspe)
| process the pspe provider
void | process_idd_name (const XMLCh *name, Deployment::InstanceDeploymentDescription &idd)
| process the idd name
void | process_ppm_name (const XMLCh *name, Deployment::PlanPropertyMapping &ppm)
| process the ppm name
void | process_ppm_ext_name (const XMLCh *name, Deployment::PlanPropertyMapping &ppm)
| process the ppm external name
void | process_idd_node (const XMLCh *node, Deployment::InstanceDeploymentDescription &idd)
| process the idd node
void | process_idd_source (const XMLCh *source, Deployment::InstanceDeploymentDescription &idd)
| process the idd source
void | process_add_location (const XMLCh *location, Deployment::ArtifactDeploymentDescription &add)
| process the add location
void | process_add_source (const XMLCh *source, Deployment::ArtifactDeploymentDescription &add)
| process the add source
void | process_add_node (const XMLCh *node, Deployment::ArtifactDeploymentDescription &add)
| process the add node
void | process_mdd_source (const XMLCh *source, Deployment::MonolithicDeploymentDescription &mdd)
| process the mdd source
void | process_ppm_source (const XMLCh *source, Deployment::PlanPropertyMapping &ppm)
| process the ppm source
void | process_pcd_source (const XMLCh *source, Deployment::PlanConnectionDescription &pcd)
| process the pcd source
void | process_pcd_name (const XMLCh *name, Deployment::PlanConnectionDescription &pcd)
| process the pcd name
void | process_mdd_name (const XMLCh *name, Deployment::MonolithicDeploymentDescription &mdd)
| process the add node
void | process_rdd_req_name (const XMLCh *name, Deployment::ResourceDeploymentDescription &rdd)
| process the rdd req name
void | process_rdd_res_name (const XMLCh *name, Deployment::ResourceDeploymentDescription &rdd)
| process the rdd res name
void | process_irdd_res_name (const XMLCh *name, Deployment::InstanceResourceDeploymentDescription &irdd)
| process the irdd res name
void | process_crdd_res_name (const XMLCh *name, Deployment::ConnectionResourceDeploymentDescription &crdd)
| process the crdd res name
void | process_crdd_req_name (const XMLCh *name, Deployment::ConnectionResourceDeploymentDescription &crdd)
| process the crdd req name
void | process_crdd_target_name (const XMLCh *name, Deployment::ConnectionResourceDeploymentDescription &crdd)
| process the crdd target name
void | process_irdd_req_name (const XMLCh *name, Deployment::InstanceResourceDeploymentDescription &irdd)
| process the irdd req name
void | process_irdd_res_usage (const XMLCh *name, Deployment::InstanceResourceDeploymentDescription &irdd)
| process the irdd res usage
void | process_refs (DOMNamedNodeMap *named_node_map)
| process references
void | update_mdd_refs (Deployment::DeploymentPlan &plan)
| update mdd refs
void | update_idd_refs (Deployment::DeploymentPlan &plan)
| update idd refs
void | update_pspe_refs (Deployment::DeploymentPlan &plan)
| update pspe refs
void | update_pspr_refs (Deployment::DeploymentPlan &plan)
| update pspr refs

## Detailed Description

Handler class for <deploymentplan> type.

## Constructor & Destructor Documentation

Plan_Handler::Plan_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) | `[inline]`

| constructor

Plan_Handler::Plan_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

Plan_Handler::Plan_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

## Member Function Documentation

void Plan_Handler::process_add | ( | DOMNodeIterator * | iter,
|  | Deployment::ArtifactDeploymentDescription & | add
| ) |

| process add

void Plan_Handler::process_add_location | ( | const XMLCh * | location,
|  | Deployment::ArtifactDeploymentDescription & | add
| ) |

| process the add location

void Plan_Handler::process_add_name | ( | const XMLCh * | name,
|  | Deployment::ArtifactDeploymentDescription & | add
| ) |

| process the add name

void Plan_Handler::process_add_node | ( | const XMLCh * | node,
|  | Deployment::ArtifactDeploymentDescription & | add
| ) |

| process the add node

void Plan_Handler::process_add_source | ( | const XMLCh * | source,
|  | Deployment::ArtifactDeploymentDescription & | add
| ) |

| process the add source

void Plan_Handler::process_ccd | ( | DOMNodeIterator * | iter,
|  | Deployment::ComponentInterfaceDescription & | cid
| ) |

| process cid

void Plan_Handler::process_crdd | ( | DOMNodeIterator * | iter,
|  | Deployment::ConnectionResourceDeploymentDescription & | crdd
| ) |

| process crdd

void Plan_Handler::process_crdd_req_name | ( | const XMLCh * | name,
|  | Deployment::ConnectionResourceDeploymentDescription & | crdd
| ) |

| process the crdd req name

void Plan_Handler::process_crdd_res_name | ( | const XMLCh * | name,
|  | Deployment::ConnectionResourceDeploymentDescription & | crdd
| ) |

| process the crdd res name

void Plan_Handler::process_crdd_target_name | ( | const XMLCh * | name,
|  | Deployment::ConnectionResourceDeploymentDescription & | crdd
| ) |

| process the crdd target name

void Plan_Handler::process_idd | ( | DOMNodeIterator * | iter,
|  | Deployment::InstanceDeploymentDescription & | idd
| ) |

| process idd

void Plan_Handler::process_idd_name | ( | const XMLCh * | name,
|  | Deployment::InstanceDeploymentDescription & | idd
| ) |

| process the idd name

void Plan_Handler::process_idd_node | ( | const XMLCh * | node,
|  | Deployment::InstanceDeploymentDescription & | idd
| ) |

| process the idd node

void Plan_Handler::process_idd_source | ( | const XMLCh * | source,
|  | Deployment::InstanceDeploymentDescription & | idd
| ) |

| process the idd source

void Plan_Handler::process_irdd | ( | DOMNodeIterator * | iter,
|  | Deployment::InstanceResourceDeploymentDescription & | irdd
| ) |

| process irdd

void Plan_Handler::process_irdd_req_name | ( | const XMLCh * | name,
|  | Deployment::InstanceResourceDeploymentDescription & | irdd
| ) |

| process the irdd req name

void Plan_Handler::process_irdd_res_name | ( | const XMLCh * | name,
|  | Deployment::InstanceResourceDeploymentDescription & | irdd
| ) |

| process the irdd res name

void Plan_Handler::process_irdd_res_usage | ( | const XMLCh * | name,
|  | Deployment::InstanceResourceDeploymentDescription & | irdd
| ) |

| process the irdd res usage

void Plan_Handler::process_mdd | ( | DOMNodeIterator * | iter,
|  | Deployment::MonolithicDeploymentDescription & | mdd
| ) |

| process mdd

void Plan_Handler::process_mdd_name | ( | const XMLCh * | name,
|  | Deployment::MonolithicDeploymentDescription & | mdd
| ) |

| process the add node

void Plan_Handler::process_mdd_source | ( | const XMLCh * | source,
|  | Deployment::MonolithicDeploymentDescription & | mdd
| ) |

| process the mdd source

void Plan_Handler::process_pcd | ( | DOMNodeIterator * | iter,
|  | Deployment::PlanConnectionDescription & | con
| ) |

| process con

void Plan_Handler::process_pcd_name | ( | const XMLCh * | name,
|  | Deployment::PlanConnectionDescription & | pcd
| ) |

| process the pcd name

void Plan_Handler::process_pcd_source | ( | const XMLCh * | source,
|  | Deployment::PlanConnectionDescription & | pcd
| ) |

| process the pcd source

BEGIN_DEPLOYMENT_NAMESPACE void Plan_Handler::process_plan | ( | Deployment::DeploymentPlan & | plan | ) |

| Process the plan type.

void Plan_Handler::process_ppm | ( | DOMNodeIterator * | iter,
|  | Deployment::PlanPropertyMapping & | ppm
| ) |

| process external property

void Plan_Handler::process_ppm_ext_name | ( | const XMLCh * | name,
|  | Deployment::PlanPropertyMapping & | ppm
| ) |

| process the ppm external name

void Plan_Handler::process_ppm_name | ( | const XMLCh * | name,
|  | Deployment::PlanPropertyMapping & | ppm
| ) |

| process the ppm name

void Plan_Handler::process_ppm_source | ( | const XMLCh * | source,
|  | Deployment::PlanPropertyMapping & | ppm
| ) |

| process the ppm source

void Plan_Handler::process_pspe | ( | DOMNodeIterator * | iter,
|  | Deployment::PlanSubcomponentPortEndpoint & | pspe
| ) |

| process pspe

void Plan_Handler::process_pspe_port_name | ( | const XMLCh * | name,
|  | Deployment::PlanSubcomponentPortEndpoint & | pspe
| ) |

| process the pspe port name

void Plan_Handler::process_pspe_provider | ( | const XMLCh * | value,
|  | Deployment::PlanSubcomponentPortEndpoint & | pspe
| ) |

| process the pspe provider

void Plan_Handler::process_pspr | ( | DOMNodeIterator * | iter,
|  | Deployment::PlanSubcomponentPropertyReference & | pspr
| ) |

| process pspr

void Plan_Handler::process_pspr_prop_name | ( | const XMLCh * | name,
|  | Deployment::PlanSubcomponentPropertyReference & | pspr
| ) |

| process the pspr property name

void Plan_Handler::process_rdd | ( | DOMNodeIterator * | iter,
|  | Deployment::ResourceDeploymentDescription & | rdd
| ) |

| process rdd

void Plan_Handler::process_rdd_req_name | ( | const XMLCh * | name,
|  | Deployment::ResourceDeploymentDescription & | rdd
| ) |

| process the rdd req name

void Plan_Handler::process_rdd_res_name | ( | const XMLCh * | name,
|  | Deployment::ResourceDeploymentDescription & | rdd
| ) |

| process the rdd res name

void Plan_Handler::process_refs | ( | DOMNamedNodeMap * | named_node_map | ) |

| process references

void Plan_Handler::update_idd_refs | ( | Deployment::DeploymentPlan & | plan | ) |

| update idd refs

void Plan_Handler::update_mdd_refs | ( | Deployment::DeploymentPlan & | plan | ) |

| update mdd refs

void Plan_Handler::update_pspe_refs | ( | Deployment::DeploymentPlan & | plan | ) |

| update pspe refs

void Plan_Handler::update_pspr_refs | ( | Deployment::DeploymentPlan & | plan | ) |

| update pspr refs

The documentation for this class was generated from the following files:

- Plan_Handler.h
- Plan_Handler.cpp